


var pi y_gap y_nat y r_nat r_real i n v a  r_real_ann i_ann r_nat_ann pi_ann q;     

varexo eps_a eps_v eps_q;

parameters alpha beta rho_a rho_v rho_q sigma phi phi_pi phi_y epsilon theta rho;

sigma = 1;
phi=1;
phi_pi = 1.5;
phi_y  = .5/4;
theta=2/3;
rho_v =0.5;
rho_a  = 0.9;
rho_q=0.5;
beta = 0.99;
alpha=1/3;
epsilon=6;
rho=0.8;

model(linear); 
//Composite parameters
#omega=(1-alpha)/(1-alpha+alpha*epsilon);  
#psi_n_ya=(1+phi)/(sigma*(1-alpha)+phi+alpha); 
#lambda=(1-theta)*(1-beta*theta)/theta*omega; 
#kappa=lambda*(sigma+(phi+alpha)/(1-alpha));  

pi=beta*pi(+1)+kappa*y_gap+q;
y_gap=-1/sigma*(i-pi(+1)-r_nat)+y_gap(+1);
i=rho*i(-1)+(1-rho)*(phi_pi*pi+phi_y*y_gap)+v;
r_nat=sigma*psi_n_ya*(a(+1)-a);
r_real=i-pi(+1);
y_nat=psi_n_ya*a;
y_gap=y-y_nat;
v=rho_v*v(-1)+eps_v;
a=rho_a*a(-1)+eps_a;
q=rho_q*q(-1)+eps_q;
y=a+(1-alpha)*n;


i_ann=4*i;
r_real_ann=4*r_real;
r_nat_ann=4*r_nat;
pi_ann=4*pi;
end;


shocks;
var eps_v = 0.25^2; 
end;

resid(1);
steady;
check;


//stoch_simul(order = 1,irf=15) y_gap pi_ann i_ann r_real_ann nu;


varobs y_gap pi i;
estimated_params;
theta, beta_pdf,.75,.05;
phi_pi, normal_pdf,1.5,.05; //1.5 normal 0.05
phi_y, gamma_pdf, 0.25,.13; //0.12 beta_pdf, 0.05
stderr eps_a, inv_gamma_pdf,0.5,4;
stderr eps_v, inv_gamma_pdf,0.5,4;
stderr eps_q, inv_gamma_pdf,0.5,4;
rho_a, beta_pdf,0.5,0.1; //0.1
rho_q, beta_pdf,0.5,0.1; //0.1
rho_v, beta_pdf,0.25,0.05; //0.1
end;

//estimation(datafile=daten_log2,mode_compute=4, mh_ replic=20000, mh_nblocks=2, mh_drop=0.1);


//estimation(datafile=daten_log2,mode_compute=4, mh_replic=20000, mh_nblocks=2, mh_drop=0.1, mode_check);


//estimated_params_init(USE_CALIBRATION);

//dynare_sensitivity;
//identification;



//estimation(datafile=daten_log32,mode_compute=4, mh_replic=20000, mh_nblocks=2, mh_drop=0.1);
estimation(datafile=daten_log32,mode_compute=6, mh_replic=20000, mh_nblocks=2, mh_drop=0.1, forecast=12) y_gap pi i;
//estimation(datafile=daten_log32,mode_compute=6, mh_replic=3000, mh_nblocks=1, mh_drop=0.3, forecast=12) y_gap pi i;







